# $Revision: 1.29 $, $Date: 2011/02/05 23:21:09 $
Summary:	C++ wrappers for gnome-vfs
Summary(pl.UTF-8):	Interfejsy C++ dla gnome-vfs
Name:		gnome-vfsmm
Version:	2.26.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-vfsmm/2.26/%{name}-%{version}.tar.bz2
# Source0-md5:	d27d34b6a8722c557366729071c1baab
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	glibmm-devel >= 2.14.0
BuildRequires:	gnome-vfs2-devel >= 2.24.0
BuildRequires:	graphviz
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	pkgconfig
Requires:	glibmm >= 2.14.0
Requires:	gnome-vfs2-libs >= 2.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for gnome-vfs.

%description -l pl.UTF-8
Interfejsy C++ dla gnome-vfs.

%package devel
Summary:	Devel files for gnome-vfsmm
Summary(pl.UTF-8):	Pliki nagłówkowe dla gnome-vfsmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.14.0
Requires:	gnome-vfs2-devel >= 2.24.0

%description devel
Devel files for gnome-vfsmm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla gnome-vfsmm.

%package static
Summary:	gnome-vfsmm static library
Summary(pl.UTF-8):	Biblioteka statyczna gnome-vfsmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
gnome-vfsmm static library.

%description static -l pl.UTF-8
Biblioteka statyczna gnome-vfsmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-static=yes

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgnomevfsmm-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomevfsmm-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomevfsmm-2.6.so
%{_includedir}/%{name}-2.6
%{_libdir}/%{name}-2.6
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomevfsmm-2.6.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-vfsmm.spec,v $
Revision 1.29  2011/02/05 23:21:09  wiget
- up to 2.26.0
- drop libtool file

Revision 1.28  2010/01/06 03:12:29  sparky
- BR: graphviz

Revision 1.27  2009/11/25 15:24:49  sparky
- BR: doxygen

Revision 1.26  2008/11/02 15:35:08  megabajt
- updated to 2.24.0

Revision 1.25  2008/04/16 13:50:26  sls
- ver. 2.22.0

Revision 1.24  2007-09-14 21:58:18  megabajt
- updated to 2.20.0

Revision 1.23  2007/03/10 10:07:08  megabajt
- updated to 2.18.0

Revision 1.22  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.20  2006/12/22 16:41:18  megabajt
- up to 2.16.1

Revision 1.19  2006/08/18 18:42:08  freetz
- 2.16.0, updated deps

Revision 1.18  2006/08/11 20:16:41  freetz
- rel.2, use HEAD deps

Revision 1.17  2006/07/21 16:44:08  freetz
- 2.15.1, updated deps, introduced --as-needed support

Revision 1.16  2006/05/24 08:53:04  qboosh
- merged deps update from AC-branch

Revision 1.14.2.2  2006/05/18 21:05:28  baggins
- release 2
- strict reqs

Revision 1.14.2.1  2006/05/15 13:16:01  baggins
- merged from HEAD

Revision 1.15  2006/03/16 17:13:09  freetz
- 2.14.0

Revision 1.14  2005/09/09 12:48:09  freetz
- merged from DEVEL and updated to 2.12.0

Revision 1.13.2.1  2005/07/11 13:15:02  freetz
- 2.11.1

Revision 1.13  2005/06/06 14:07:58  zbyniu
- BR: pkgconfig

Revision 1.12  2005/03/11 21:25:59  grzegol
- updated to 2.10.0

Revision 1.11  2004/09/18 10:01:27  aflinta
- up to version 2.8.0

Revision 1.10  2004/04/30 14:06:23  grzegol
- updated to 2.6.1

Revision 1.9  2004/04/19 18:54:35  qboosh
- libtoolize and co. (fixes build on amd64); release 2

Revision 1.8  2004/04/12 22:32:05  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.7.2.6  2004/03/31 18:36:16  grzegol
- updated to 2.5.3

Revision 1.7.2.5  2004/03/06 15:24:45  grzegol
- updated to 2.5.2

Revision 1.7.2.4  2004/02/14 18:15:37  grzegol
- updated to 2.5.1

Revision 1.7.2.3  2004/02/07 15:32:55  grzegol
- rel. 3 to rebuild with glibmm-2.3.4

Revision 1.7.2.2  2004/01/24 15:31:24  grzegol
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

Revision 1.7.2.1  2003/12/29 18:12:51  grzegol
- updated to 2.5.0
- added %%doc

Revision 1.7  2003/12/08 15:05:36  grzegol
- updated to 1.3.5
- added Requires to -devel

Revision 1.6  2003/08/24 16:38:39  grzegol
- updated to 1.3.3

Revision 1.5  2003/07/27 16:35:25  grzegol
- updated to 1.3.2

Revision 1.4  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:48:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/01 20:22:21  grzegol
- updated to 1.3.1

Revision 1.1  2003/04/10 00:36:49  grzegol
- new
